/*
Welcome to Conquer Huds! Read this section if you are completely
unfamiliar with Huds.

1. What is a Hud?
___________________

HUD stands for Heads-Up Display. It is an object which is placed
on the client's screen for only you to see on your side. A health
bar would be a good example of a hud. I am going to show you how
to add simple huds to the screen.


2. Show me how to add a hud!
_____________________________

Ok, ok. Adding a hud is as simple as creating an object with
certain characteristics and spawning it when necessary. These
"characteristics" would be defining the fact that it is only
for the client to see and no one else.

We'll start simple by creating an object. If you don't know
how to do that, close this window immediately.

I'll call the object Bar.

obj
	Bar
		icon='Huds.dmi'
		icon_state="bar hud"

Good, now we have an object. Next thing to do is tell it to
only spawn on the client's screen. This can be done with
two lines of code.

New(client/C)
	C.screen+=src

Add that to the bottom and it will only spawn on the client's
screen. What those two lines of code basically say is, "When
a client makes a new Bar object, add the Bar (src) to the
client's screen."

We're not done yet, though! We still need to decide where to
place the Bar on the client's screen. This requires you to
know how big the client's view is.
*/
client/view="10x10"
/*
That code makes the client's view 10 tiles by 10 tiles. Now
that we know that, we can decide where to place it. If we want
the Bar in the upper-left corner, we can place it at 1,10.
Now 1,10 is not a number on the map, it's on number on your
screen. Be sure to remember that fact.

Now for the code to decide where to place it:

screen_loc = "1,10"

It's that simple. Once it's all done, it should look
something like this:
*/

obj
	Bar
		icon='Huds.dmi'
		icon_state="bar hud"
		New(client/C)
			screen_loc = "1,10"
			C.screen+=src

/*
We can then define for the object to be made with this code:

new/obj/Bar(usr.client)

And there you have it. If you are ready then you can move on to
learn more by reading my "Selection Huds System" section.
*/
